Skip to main content
POST
Create a task

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

title
string
required
description
string
required
status
string
required
start
string<date-time>
required
entity_id
string<uuid>
write-only
record_id
string<uuid>
write-only
custom_fields
unknown
priority
integer | null
Required range: -32768 <= x <= 32767
recurrence_rule
string | null
Maximum string length: 255
expiry
string<date-time> | null
completed_at
string<date-time> | null
assigned_to_user
string<uuid> | null

Response

201 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.